merl_transform(3)

NAME
merl_transform - Parse transform for merl.

DESCRIPTION

Enables the use of automatic metavariables and using quasi-quotes in matches and case switches. Also optimizes calls to functions in merl by partially evaluating them, turning strings to templates, and so on, at compile-time.

Using -include_lib("syntax_tools/include/merl.hrl"). enables this transform, unless the macro MERL_NO_TRANSFORM is defined first.

FUNCTIONS